Package org.springframework.batch.support

# Enum Class DatabaseType

java.lang.Object
java.lang.Enum<DatabaseType>
org.springframework.batch.support.DatabaseType

All Implemented Interfaces:
  `Serializable`, `Comparable<DatabaseType>`, `Constable`

public enum DatabaseType extends Enum<DatabaseType>
Enum representing a database type, such as DB2 or oracle. The type also contains a product name, which is expected to be the same as the product name provided by the database driver's metadata.

Since:
  2.0
Author:
  Lucas Ward

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DB2`
  `DB2AS400`
  `DB2VSE`
  `DB2ZOS`
  `DERBY`
  `H2`
  `HSQL`
  `MYSQL`
  `ORACLE`
  `POSTGRES`
  `SQLITE`
  `SQLSERVER`
  `SYBASE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DatabaseType`
  `fromMetaData(DataSource dataSource)`
  Convenience method that pulls a database product name from the DataSource's metadata.
  `static DatabaseType`
  `fromProductName(String productName)`
  Static method to obtain a DatabaseType from the provided product name.
  `String`
  `getProductName()`
  `static DatabaseType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DatabaseType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DERBY

    public static final DatabaseType DERBY

  - ### DB2

    public static final DatabaseType DB2

  - ### DB2VSE

    public static final DatabaseType DB2VSE

  - ### DB2ZOS

    public static final DatabaseType DB2ZOS

  - ### DB2AS400

    public static final DatabaseType DB2AS400

  - ### HSQL

    public static final DatabaseType HSQL

  - ### SQLSERVER

    public static final DatabaseType SQLSERVER

  - ### MYSQL

    public static final DatabaseType MYSQL

  - ### ORACLE

    public static final DatabaseType ORACLE

  - ### POSTGRES

    public static final DatabaseType POSTGRES

  - ### SYBASE

    public static final DatabaseType SYBASE

  - ### H2

    public static final DatabaseType H2

  - ### SQLITE

    public static final DatabaseType SQLITE

- ## Method Details

  - ### values

    public static DatabaseType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DatabaseType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getProductName

    public String getProductName()

  - ### fromProductName

    public static DatabaseType fromProductName(String productName)
    Static method to obtain a DatabaseType from the provided product name.
    Parameters:
      `productName` - `String` containing the product name.
    Returns:
      the `DatabaseType` for given product name.
    Throws:
      `IllegalArgumentException` - if none is found.

  - ### fromMetaData

    public static DatabaseType fromMetaData(DataSource dataSource) throws org.springframework.jdbc.support.MetaDataAccessException
    Convenience method that pulls a database product name from the DataSource's metadata.
    Parameters:
      `dataSource` - `DataSource` to the database to be used.
    Returns:
      `DatabaseType` for the `DataSource` specified.
    Throws:
      `org.springframework.jdbc.support.MetaDataAccessException` - thrown if error occured during Metadata lookup.